diff --git a/src/test/subscription/t/027_nosuperuser.pl b/src/test/subscription/t/027_nosuperuser.pl
index 350bc40efc..96ec23aab7 100644
--- a/src/test/subscription/t/027_nosuperuser.pl
+++ b/src/test/subscription/t/027_nosuperuser.pl
@@ -179,7 +179,7 @@ revoke_superuser("regress_admin");
 publish_update("alice.unpartitioned", 5 => 9);
 expect_failure(
 	"alice.unpartitioned", 2, 5, 7,
-	qr/ERROR:  permission denied for table unpartitioned/msi,
+	qr/ERROR: ( [A-Z0-9]+:)? permission denied for table unpartitioned/msi,
 	"non-superuser admin fails to replicate update");
 grant_superuser("regress_admin");
 expect_replication("alice.unpartitioned", 2, 7, 9,
@@ -214,7 +214,7 @@ expect_failure(
 	3,
 	7,
 	11,
-	qr/ERROR:  permission denied for table unpartitioned/msi,
+	qr/ERROR: ( [A-Z0-9]+:)? permission denied for table unpartitioned/msi,
 	"non-superuser admin without SELECT privileges fails to replicate update"
 );
 
@@ -262,7 +262,7 @@ expect_failure(
 	2,
 	11,
 	13,
-	qr/ERROR:  "regress_admin" cannot replicate into relation with row-level security enabled: "unpartitioned\w*"/msi,
+	qr/ERROR: ( [A-Z0-9]+:)? "regress_admin" cannot replicate into relation with row-level security enabled: "unpartitioned\w*"/msi,
 	"non-superuser admin fails to replicate insert into rls enabled table");
 grant_superuser("regress_admin");
 expect_replication("alice.unpartitioned", 3, 11, 15,
@@ -276,7 +276,7 @@ expect_failure(
 	3,
 	11,
 	15,
-	qr/ERROR:  "regress_admin" cannot replicate into relation with row-level security enabled: "unpartitioned\w*"/msi,
+	qr/ERROR: ( [A-Z0-9]+:)? "regress_admin" cannot replicate into relation with row-level security enabled: "unpartitioned\w*"/msi,
 	"non-superuser admin fails to replicate update into rls enabled unpartitioned"
 );
 
@@ -291,7 +291,7 @@ expect_failure(
 	3,
 	13,
 	17,
-	qr/ERROR:  "regress_admin" cannot replicate into relation with row-level security enabled: "unpartitioned\w*"/msi,
+	qr/ERROR: ( [A-Z0-9]+:)? "regress_admin" cannot replicate into relation with row-level security enabled: "unpartitioned\w*"/msi,
 	"non-superuser admin without bypassrls fails to replicate delete into rls enabled unpartitioned"
 );
 grant_bypassrls("regress_admin");
diff --git a/src/test/subscription/t/029_on_error.pl b/src/test/subscription/t/029_on_error.pl
index e8b904b745..303e8ec3fc 100644
--- a/src/test/subscription/t/029_on_error.pl
+++ b/src/test/subscription/t/029_on_error.pl
@@ -48,7 +48,7 @@ sub test_skip_lsn
 	# Check the log to ensure that the transaction is skipped, and advance the
 	# offset of the log file for the next test.
 	$offset = $node_subscriber->wait_for_log(
-		qr/LOG:  done skipping logical replication transaction finished at $lsn/,
+		qr/LOG: ( [A-Z0-9]+:)? done skipping logical replication transaction finished at $lsn/,
 		$offset);
 
 	# Insert non-conflict data
